2004/02/15 svenwiegand
- Implemented Feature: The file filter of the 'Insert Graphics' dialog 
  now also lists JPEG and PNG files
- Fixed Bug: TXC crashes when DDE commands are passed via command line
- Fixed Bug: TXC hangs on splash screen when DDE commands are passed via
  command line on startup
- Fixed Bug: TXC reports an error when starting up the viewer via DDE on
  slow systems, though the viewer starts (DDE timeout problem) -- solution
  from Stefan Ascher
- Fixed Bug: An error in the project wizard interface did not set the path
  to the project's main file correctly.
- Fixed Typo: Changed button label from 'Abbrechen' to 'Cancel' in the 
  english version of the 'New from Template' dialog
- German version of the Tips & Tricks have been updated by Rüdiger Stuible

2003/12/21 niteria
- Implemented Feature 863942: Windows explorer tool should open in current directory
- Aditionally, the tools are saved to another registry location
  to prevent data loss when old TXC version is started. So the statement
  from 2002/11/26 regarding this does not apply anymore.
- Disabled single-click project creation for files without "tex"-extension.
- Set tcp-Version to 4 because of the change regarding project language.

2003/12/20 niteria
- Tabs can be inserted into the edit controls of the Text Modules dialog.

2003/12/18 niteria
- Fixed MikTeX recognition. Now it should work with all installation types.
  The "Install Root" found in HKCU is preferred. If not found there,
  then HKLM is used.
- The ListView of the Text Modules dialog gets updated as soon as
  the user changes the name of a module.

2003/12/16 svenwiegand
- Implemented Feature 726766: "Option for selecting the language for the GUI"
- Implemented Feature 601712: "Detailed list view for template dialog"
- Support for selecting Look & Feel out of the following options: 
  "Office 2000", "Office XP", "Windows XP" and "Office 2003"

2003/12/14 niteria
- Partly implemented Feature 531270: User definable insert-commands
  Will be improved later on.

2003/12/14 svenwiegand
- Implemented Feature 531272: Import and export for output profiles
- Implemented Feature 547456: Basic XML-Support

2003/12/13 niteria
- Implemented Feature 797023: Provide standard profile "Latex => PS => PDF"

2003/12/07 svenwiegand
- Implemented Feature 855728: Better Support for visually handicapped users

2003/12/07 niteria
- Implemented Feature 855690: Insert/Remove/Toogle Comments on Textblocks
  Use Ctrl-Q for commenting, Ctrl-W for uncommenting, Alt-Q to toogle
- Defined Accelerator for configuring profiles: Alt-F7 (similar to Visual Studio)

2003/12/06 Superraf
- Implemented Feature 575921: Language is now a parameter of the project

2003/12/06 niteria
- Implemented Feature 851400: \texttt{} and \textsc{} buttons

2003/12/06 svenwiegand
- Implemented Feature 601708 + additions: The user can now set the styles for
  the text cursor independant for the insert and the overwrite mode. The cursor
  style is defined by its form (line or block) and its mode (blinking or 
  not-blinking). The defaults are 'line' for insert cursor and 'block' for
  overwrite cursor -- both are blinking.
- When the user chooses 'Automatic' for the colors of selected text and its
  background, the system defaults are used now instead of black and white.
- Adapted options pages to make them look more comfortable
- Moved text format from customization to options dialog
- Fixed bug 617922: highlight all and copy+paste will crash TXC if last line
  is not empty/highlight all and delete will disable you to type any texts,
  if last line is not empty.
- Enabled support for Windows XP Theming (requires BCGControlBar library 6.2,
  take a look into the new HowToBuild.txt to learn were to download it).

2003/12/04 niteria
- Implemented Feature 852581: TemplateDialogs: Remember last opened tab
- Fixed bug 852582: TemplateDialogs: Tabs are not ordered alphabetically
- Fixed Bug 854326: Miktex 2.4 'only for me' installation not recognized
- Set version info to 1 Beta 6.20

2003/11/15 niteria
- Fixed Bug 842720: Parsing file names with points like "1.1"
   TXC reproduces now exactly the behaviour of TeX
   regarding \input and \include
- Fixed Bug 601207: Tooltip Text of 'Select Window'-Button is missing

2003/09/13 niteria
- Implemented Feature 777489: More User Tools Icons
- Fixed Bug 805454: Single File Compiling fails if project is loaded

2003/08/11 niteria
- Updated the URL for downloading dictionaries.
   Points now to: http://lingucomponent.openoffice.org/download_dictionary.html

2003/07/24 niteria
- Implemented Feature 776912: Parse for even unknown environments

2003/07/18 titoo
- Implemented Feature 567832: Equations in Structure/Object View

2003/07/15 niteria
- Fixed Bug 702814: TXC doesn't save last opened folder after cancelling

2003/06/13 niteria
- Implemented Feature 753658: Scan for Project on Opening a Document
   (Still open question: Ability to switch this off in the options?)
- Implemented Feature 748870: Insert graphics dialogue file type filter too limited
   (Added *.jpg, *.jpeg and *.png)

2003/06/05 niteria
- Implemented Feature 675205: One-Click Project Creation for existing Documents
- Implemented Feature 588960: Disable build for unsaved files
   (==> Prompts the user to save the file instead of disabling the command)
- Fixed Bug 592338: Ghost File when cancelling "New Project"

2003/04/30 christianwelzel
- Fixed Bug 602329: File>Print and HP LaserJet 4050.

2003/03/13 christianwelzel
- Implemented Feature 614342: Last opened folder.
- Fixed Feature 535144: Specifying Output Profile in TeX file.

2003/03/08 niteria
- Fixed Bug 700129: cosh instead of \cosh
- Fixed Bug 699688: "Save As"-Dialog with wrong InitDir.

2003/03/04 christianwelzel
- Implemented Feature 551294: Storing MRU Profile with Project.
- Implemented Feature 535144: Specifying Output Profile in TeX file.

2003/01/22 niteria
- Fixed Bug 670414: syntax highlighting with verbatim env fails.
  A small problem concerning verbatim env still remains. This is mostly due to the
  old fashioned Syntaxhighlighting. Switching to a newer CrystalEdit will eliminate
  a lot of highlighting problems.

2003/01/15 niteria
- Added directory "TCHelp\SourceCodeDoc" with a doxygen configuration
  file. Run doxygen on "txc.doxy" or run "MakeSourceCodeDoc.cmd" (edit
  the path to your doxygen and HTML Help Workshop installations herein).
  You can find doxygen at www.doxygen.org and HTML Help Workshop at Microsoft.

2003/01/12 niteria
- Fixed Bug 666758: table* not shown in navigation bar
- Fixed Bug 574558: Figure* not recognised in navigation bar

2002/12/07 niteria
- Fixed Bug 646952: Cannot preview file while not compiled
- Implemented Feature 636662: Add link to dict download

2002/11/26 niteria
- Fixed Bug 597426: varrho inserts \rho instead of \varrho
- Fixed Bug 616808: Figures not centered correctly
- Fixed similar Bugs 607758 & 634320: Tools not working & Windows Explorer tool
- Fixed Bug 609909: TeXnicCenter may overwrite a .tex file
  This includes, that project files from versions till Beta3.00.000
  can not be opened anymore. If some users still have such files, they
  need to use Beta6.01 to convert the project-files. It is very unlikely,
  that such old things still exist.
- Fixed Bug 643907: List of Options|Clean not always updated
- UserTools have been enhanced:
  - Dialog supports new placeholder menus.
  - Started implementation of new features like in/out-redirection.
  - NOTE: This makes it incompatible to the old tools. The old ones
    have not been implemented using IMPLEMENT_SERIAL(). But the new ones
    need this. The new version is able to import the old tools, but an old
    version of TXC can not read them anymore after this.
    ==> BACKUP your registry, to be on the safe side. <==
- Removed old Placeholder menus. They are no longer needed.
- Introduced new global AfxGetDefaultDirectory()-function. Serves as
  simplification of Feature 539142: "Configurable Default Path for Documents"
  and for executing tools.

2002/09/26 niteria
- Fixed Bug 601206: Navigator Bar incorrect appendix display

2002/08/06 niteria
- Implemented Feature 591683: PlaceHolder Dialogs for ToolsPage
- Specifying Output Profile in TeX file does now set the modified flag of the project.
  This ensures the change to be saved.

2002/07/17 niteria
- Fixed Bug 582793: Menu Ressources: \hear(t)suit

2002/07/15 niteria
- Fixed Bug 581758: Tools: English Popup without set placeholders

2002/07/12 niteria
- Fixed Small Bug 580489: Spelling error in dialog

2002/07/12 christianwelzel
- Implemented Feature 535144: Specifying Output Profile in TeX file
  The last used output-profile will be saved in the tcp-file.

2002/07/09 svenwiegand
- Updated version ids in ressources.

2002/07/09 niteria
- Implemented Feature 578630: Opening BibTeX files

2002/07/05 niteria
- Implemented Feature 577600: New Placeholder for better forward search
  (%wm and %wc togther with slash and short versions)
- Output Wizard now uses these new placeholders for forward search and Compiling to dvi.
  This fixes Bug 577238 even more... ;-))
- Fixed Bug 577756: Variiertes Sigma inserts \sigma

2002/07/04 svenwiegand
- Implemented Feature 539143: Save New Document after Creation
  The options page 'File' has got a new option 'Save new documents immediately'. 
  If checked, the 'Save As' dialog box will popup directly, after the users has 
  created a new document via the 'File|New' or 'File|New from Template...' 
  command.

2002/07/04 niteria
- Fixed Bug 577238: Src-Specials mixed up
- Fixed Bug 577237: Graphic files not found by Parser
- Implemented Feature 577240: Parser informs about found graphic files
- New Dialog for defining placeholders for sets of files. This simplifies the
  menu for the placeholders in "Options | Clean". The placeholder menu for the
  Tools is still waiting to be simplified.

2002/07/01 svenwiegand
- Fixed Bug: Single quotes (') after a word were interpreted as a character 
  of the word from CLatexParser::NextWord(). This made the spell checker 
  mark this as a spelling error.
- Feature 540886: Remove error marker when editing a line. Fixed it in another
  way: All error marks will be removed, when a new compilation is about to
  be started.
- Using CFileDialogEx from MFCExt-library now instead of default CFileDialog 
  class. Both are totally compatible, but CFileDialogEx will create Win2000 
  styled dialogs on Win2000 or later (commonly used folder bar at the left).

2002/06/28 svenwiegand
- Using 'LaTeX Help Book' as LaTeX-reference in online help now.

2002/06/27 svenwiegand
- Fixed Bug 551033: Commands on words don't work correctly 
  (hope so at least;-)

2002/06/24 niteria
- Fixed Bug 573198: "Find In Files" fails in english version

2002/06/24 svenwiegand
- Removed Cursor from Splash Screen ;-)
- Included spelling dictionaries into setup script.
- Removed all the system DLLs from the setup script.

2002/06/20 svenwiegand
- Disabled real time spell checking by default.
- Removed 'Test & Suggestions' category from the about box -- to many
  people are not mentioned there.

2002/06/19 svenwiegand
- Enabled debug database for release builds.
- Fixed hanging-problem when closing document on fast systems.
- Updated german translation of newer changes made to the resources.
- Updated version id to 1 Beta 6.00.
- Updated paths of system DLLs in installation script to make them match 
  my XP paths.
- Added manifest file to TXC-resources to make TXC use modern controls on 
  WinXP.
- When the path for spelling dictionarys is loaded from the registry, 
  it will be checked, if the path is valid and otherwise a default path 
  will be used.

2002/06/01 niteria
- Updated defaults for cleaning the project.
  (tempfile of package endnotes [%bm.ent] added)
- Finished Documentation of Placeholders.

2002/05/30 niteria
- Fixed Bug 555447: TeX-Output: Fails for names over 2 lines
- Very small corrections to CPathTool and CCrystalTextView.

2002/05/24 niteria
- Blocking of StructureParser fixed NOW.

2002/05/20 niteria
- Feature 558433 implemented: InsertGraphics with scaling to textwidth.

2002/05/17 christianwelzel
- Feature 539142: Configurable Default Path for Documents modified.
  The insert picture dialog uses this default path also.

2002/05/10 christianwelzel
- Feature 539142: Configurable Default Path for Documents modified.
  If a project is opened, the project path will be used.
  If a file is opened, the file path will be used.

2002/05/08 niteria
- Fixed Bug 553800: Splash-Screen hides other windows.
- Added directory "TeXTest" with files to test TXC with.
  Their main purpose is to reproduce several bugs or behaviours coming
  up from missing features. You are invited to contribute to this section!

2002/05/03 christianwelzel
- Feature 539142: Configurable Default Path for Documents modified
  If this path is empty, the default personal directory will be used
- Configurable Project Path removed

2002/05/01 cnorris
- Much improved structure parser blocking
- Made spell checker dictionary format more tolerant
- Fixed crash when dictionaries don't exist
- Improved the spell checker dialog's handling of spell checker error
- Configurable setlocale to fix several problems releated to special characters like accents and umulets.

2002/05/01 niteria
- Fixed Bug 551125: %rm and %rc not recognized by AfxExpandPlaceholder
- Better handling of invalid patterns for "Clean Project".
- New MenuButton, which is able to display dialogs as well.
  Corresponding Dialog for defining placeholders for single files.
  Based on this, I could simplify the menus for the placeholders very much.
- New layout for Options->Spelling.
- Added external support for placeholders for sets of files.
- Speeded up the TeX-output-filter and fixed a small catching problem.

2002/04/29 cnorris
- realtime spell check bug fix

2002/04/29 christianwelzel
- Feature 539142: Configurable Default Path for Documents

2002/04/27 cnorris
- Spell check bug fixes
- Release build bug fix

2002/04/25 cnorris
- More realtime spell checking
  * Enable and disable commands (tools->options->language) work in realtime.
  * Ignore redundant update messages
  * Slow down the checker to eliminate update flicker

2002/04/23 cnorris
- Implemented real-time spell checking.

2002/04/23 niteria
- Fixed Bug 84 (old list): incremental search cancels using
  accentuated characters or german umlauts.
- Fixed Bug 88 (old list): The 'Search in Files' does not recognize special
  characters like german umlauts (ä, ö, etc.).

2002/04/22 niteria
- Fixed Bug 538169: Release Version fails on opening a project.
  And a deadlock related to the structureparser.

2002/04/20 niteria
- Fixed Bug 89 (old list): Problems with MRUList used in 'Find in Files' dialog.
- Fixed Bug 114 (old list): StructureParser did not find files,
  if they resided above the project directory.
- Fixed Bug 546403: TeX-Output: Empty FileStack while TeX still runs.
- Used CBrowseButton in FindInFiles-Dialog.
- Fixed Bug 546400: FolderSelect-Dialog does not jump to directory
  Will be done by CBrowseButton now by default (gets the dir from the text
  in the attached EditControl or given in constructor).

2002/04/18 niteria
- Added new collection class to MFCExt called CUniqueStringList, which does not
  add an item, if it is already in the list. Has some advandced features as well.
- Added internal support for Placeholder sets (set of filesnames
  defined by a placeholder). Have a look at placeholder.h to read, what it does.
  External support (to the user) is still pending.
- A UserTool invokes now with CreateProcess via CProcess. This offers the commandline
  to be longer than before. Usefull together with Placeholder sets.
- Feature 536162: Clear All Command implemented. This one needs the new placeholder sets.
- Fixed small sorting problem in SortArray::InsertSorted

2002/04/11 niteria
- Translation of the spell checker resources.
- Fixed Bug 82 (old list): Problems with jumping to the error/warning source line.
- Fixed Bug 542550: Bad boxes for alignments are not catched.
- Fixed Bug 542552: Package warnings are not catched.
- Fixed Bug 542555: pdftex: Reporting but not jumping to errors/warnings/bad boxes.

2002/04/10 niteria
- Fixed Bug 541810: First Chance Exception in COutputBuilder::RunPostProcessors.
  Came up because of closing a handle in CPostProcessor::Execute,
  which was created in RunPostProcessors.

2002/04/08 cnorris
- Implemented basic spell checker functionality. The spell checker is based
on the MySpell library, which is the same implementation used by Mozilla and
OpenOffice. Dictionaries for several languages (~10) are available for 
download on the Internet from the OpenOffice webpage. Dictionaries moved into 
to the \language subdirectory of the directory TeXnicCenter are installed 
and ready for use. More work is scheduled for the spell checker in the 
future. Future features include: check as you type and personal dictionary.

2002/04/02 niteria
- Translated the new strings for parsing (introduced by Chris) to german.
- Fix for Bug 538164 in CCrystalTextView::ResetView().

2002/04/01 niteria
- At the start of the ProfileDialog (for defining of profiles),
  the active profile is now selected.
  This is similar to the ActiveProfileDialog.
- CMainFrame::GetToolbarButton scans now the UserToolbars as well.
  This way the ComboBoxes to change the active profile (ID_LATEX_PROFILE_SEL)
  will be updated in UserToolbars as well.
- In german IDD_PROFILE_LATEX the static IDC_TITLE_MAKEINDEXARGUMENTS
  was changed from "Argumente, die an BibTeX..." to "... MakeIndex ...".
- Added Profile-Option for "Stop Compilation, if LaTeX-Error occures".
  If checked and TeX reports "No pages of output" and error code != 0,
  TXC will NOT run bibTeX, makeIndex and postprocessors (behaviour as before).
  If unchecked (default) and TeX reports at least one page of output,
  TXC will run postprocessors - independently of the error code by TeX.
- Parsing the LaTeX-Output for the number of pages created by LaTeX and
  reporting this to the user via STE_LATEX_RESULT.

2002/03/19 svenwiegand
- A double click on a template in the template dialogs ('document from template'
  and 'new project') is now equivalent to pressing the 'OK' button.
- Put a yellow frame around the 16x16 TXC icon.
